読者です 読者をやめる 読者になる 読者になる

GHC7をふつうに

msgpack-idlをどうしても使いたいのだけどghc7系じゃないとうまく動かないらしい。
ghc7.0.4とhaskell-platform.2011.4.0.0.tar.gzだとどうしてもうまくいかなくて(手順を詳しく残してはいないがhaskell-platformを入れるときにそもそもalexだか何だかがうまく入らなくてどうにも困った。
ので、ghc7.4.1を試してみようと思ったらhaskell-platformはそもそもアカンらしい。ちなみにghc7.4はまだアルファ的な扱いなので一般ユーザはまだ使わないでねっていわれている。
まあやりたいことができないんじゃそんなこと言われてもね。なのでcabalのレポジトリから直接落としてきてcabal-install/bootstrap.shを実行しているところ。いろいろやっているがどうももろもろ入ってるみたいなので大丈夫そうな感じ...だが、まだ油断はできないっ!!。お、やっと入った。@tanakhさんありがとう

OCamlのコンパイルの速さに慣れてる身としては、cabalでいろいろ時間かかってるのはCabalが対象にしているライブラリが膨大だからなのか、それとも純粋だからかなぁ(ぇ

それにしても、git HEADとunstable releaseが一番扱いやすい環境って...